# Interface Platform

All Known Implementing Classes:
  `DefaultPlatform`

@UML(identifier="MI_Platform", specification=ISO_19115_2) public interface Platform
Designation of the platform used to acquire the dataset.

Since:
  2.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Citation`
  `getCitation()`
  Source where information about the platform is described.
  `InternationalString`
  `getDescription()`
  Narrative description of the platform supporting the instrument.
  `Identifier`
  `getIdentifier()`
  Unique identification of the platform.
  `Collection<? extends Instrument>`
  `getInstruments()`
  Instrument(s) mounted on a platform.
  `Collection<? extends ResponsibleParty>`
  `getSponsors()`
  Organization responsible for building, launch, or operation of the platform.

- ## Method Details

  - ### getCitation

    @UML(identifier="citation", obligation=OPTIONAL, specification=ISO_19115_2) Citation getCitation()
    Source where information about the platform is described.
    Returns:
      Source where information about the platform is described.

  - ### getIdentifier

    @UML(identifier="identifier", obligation=MANDATORY, specification=ISO_19115_2) Identifier getIdentifier()
    Unique identification of the platform.
    Returns:
      Unique identification of the platform.

  - ### getDescription

    @UML(identifier="description", obligation=MANDATORY, specification=ISO_19115_2) InternationalString getDescription()
    Narrative description of the platform supporting the instrument.
    Returns:
      Narrative description of the platform.

  - ### getSponsors

    @UML(identifier="sponsor", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends ResponsibleParty> getSponsors()
    Organization responsible for building, launch, or operation of the platform.
    Returns:
      Organization responsible for building, launch, or operation of the platform.

  - ### getInstruments

    @UML(identifier="instrument", obligation=MANDATORY, specification=ISO_19115_2) Collection<? extends Instrument> getInstruments()
    Instrument(s) mounted on a platform.
    Returns:
      Instrument(s) mounted on a platform.